#ifndef FINALBUFFER_H
#define FINALBUFFER_H

#include <windows.h>
#undef __glext_h_
#undef __glxext_h_
#undef __gl_h_
#include <GL/GLee.h>
#include "View.h"

class FinalBuffer
{
private:
	GLuint m_nFinalTex;
	GLuint m_nFrameBuffer;

	int m_nWidth, m_nHeight;

public:
	FinalBuffer(int nWidth, int nHeight);
	~FinalBuffer();

	void drawToBuffer(GLuint colorTex, GLuint edgeTex, GLuint lightTex, View *view);

	void bind();
	void unbind();

	void bindFinalTex();

	GLuint getFinalTex();

	int getWidth();
	int getHeight();
};

#endif